### Method

# AppStream Component set_project_license

#### Declaration [src]

    void
    as_component_set_project_license (
      AsComponent* cpt,
      const gchar* value
    )

#### Description [src]

Set the project license.

Sets property | `AppStream.Component:project-license`

#### Parameters

`value`

  Type: `const gchar*`

  The project license.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.